<?php

declare(strict_types=1);

namespace Dedi\SyliusMaintenancePlugin\Model;

use Doctrine\ORM\Mapping as ORM;

trait ChannelTrait
{
    /** @ORM\Column(name="maintenance_activated", type="boolean", options={"default": 0}) */
    private bool $maintenanceActivated = false;

    /** @ORM\Column(name="maintenance_ip_list", type="string", nullable=true) */
    private ?string $maintenanceIpList = null;

    public function isMaintenanceActivated(): bool
    {
        return $this->maintenanceActivated;
    }

    public function setMaintenanceActivated(bool $maintenanceActivated): void
    {
        $this->maintenanceActivated = $maintenanceActivated;
    }

    public function getMaintenanceIpList(): ?string
    {
        return $this->maintenanceIpList;
    }

    public function setMaintenanceIpList(?string $maintenanceIpList): void
    {
        $this->maintenanceIpList = $maintenanceIpList;
    }
}
